org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class IsTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.IsTest

- Direct Known Subclasses:
    IsTest.Traversals

      public abstract class IsTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IsTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_valuesXageX_isX32X()`
    `void` | `g_V_valuesXageX_isXgte_29X_isXlt_34X()`
    `void` | `g_V_valuesXageX_isXlte_30X()`
    `void` | `g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()`
    `void` | `g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isX32X()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isXgte_29X_isXlt_34X()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isXlte_30X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsTest

          public IsTest()

  - ### Method Detail

    - #### get_g_V_valuesXageX_isX32X

          public abstract Traversal<Vertex,Integer> get_g_V_valuesXageX_isX32X()

    - #### get_g_V_valuesXageX_isXlte_30X

          public abstract Traversal<Vertex,Integer> get_g_V_valuesXageX_isXlte_30X()

    - #### get_g_V_valuesXageX_isXgte_29X_isXlt_34X

          public abstract Traversal<Vertex,Integer> get_g_V_valuesXageX_isXgte_29X_isXlt_34X()

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX

          public abstract Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()

    - #### get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX

          public abstract Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()

    - #### g_V_valuesXageX_isX32X

          public void g_V_valuesXageX_isX32X()

    - #### g_V_valuesXageX_isXlte_30X

          public void g_V_valuesXageX_isXlte_30X()

    - #### g_V_valuesXageX_isXgte_29X_isXlt_34X

          public void g_V_valuesXageX_isXgte_29X_isXlt_34X()

    - #### g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX

          public void g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()

    - #### g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX

          public void g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.